mbedtls_x509write_cert Struct Reference
X.509 module

Container for writing a certificate (CRT) More...

`#include <x509_crt.h>`

Collaboration diagram for mbedtls_x509write_cert:
[legend]

## Data Fields

int | version
mbedtls_mpi | serial
mbedtls_pk_context * | subject_key
mbedtls_pk_context * | issuer_key
mbedtls_asn1_named_data * | subject
mbedtls_asn1_named_data * | issuer
mbedtls_md_type_t | md_alg
char | not_before [MBEDTLS_X509_RFC5280_UTC_TIME_LEN+1]
char | not_after [MBEDTLS_X509_RFC5280_UTC_TIME_LEN+1]
mbedtls_asn1_named_data * | extensions

## Detailed Description

Container for writing a certificate (CRT)

Definition at line 126 of file x509_crt.h.

## Field Documentation

mbedtls_asn1_named_data* mbedtls_x509write_cert::extensions

Definition at line 137 of file x509_crt.h.

mbedtls_asn1_named_data* mbedtls_x509write_cert::issuer

Definition at line 133 of file x509_crt.h.

mbedtls_pk_context* mbedtls_x509write_cert::issuer_key

Definition at line 131 of file x509_crt.h.

mbedtls_md_type_t mbedtls_x509write_cert::md_alg

Definition at line 134 of file x509_crt.h.

char mbedtls_x509write_cert::not_after[MBEDTLS_X509_RFC5280_UTC_TIME_LEN+1]

Definition at line 136 of file x509_crt.h.

char mbedtls_x509write_cert::not_before[MBEDTLS_X509_RFC5280_UTC_TIME_LEN+1]

Definition at line 135 of file x509_crt.h.

mbedtls_mpi mbedtls_x509write_cert::serial

Definition at line 129 of file x509_crt.h.

mbedtls_asn1_named_data* mbedtls_x509write_cert::subject

Definition at line 132 of file x509_crt.h.

mbedtls_pk_context* mbedtls_x509write_cert::subject_key

Definition at line 130 of file x509_crt.h.

int mbedtls_x509write_cert::version

Definition at line 128 of file x509_crt.h.

The documentation for this struct was generated from the following file:

- x509_crt.h